Package org.springframework.web.util

# Interface UriTemplateHandler

All Known Subinterfaces:
  `UriBuilderFactory`

All Known Implementing Classes:
  `DefaultUriBuilderFactory`

public interface UriTemplateHandler
Defines methods for expanding a URI template with variables.

Since:
  4.2
Author:
  Rossen Stoyanchev
See Also:
  - `RestTemplate.setUriTemplateHandler(UriTemplateHandler)`

## Method Summary

Modifier and Type
Method
Description
`URI`
`expand(String uriTemplate, Object... uriVariables)`
Expand the given URI template with an array of URI variables.
`URI`
`expand(String uriTemplate, Map<String,?> uriVariables)`
Expand the given URI template with a map of URI variables.

## Method Details

### expand

URI expand(String uriTemplate, Map<String,?> uriVariables)
Expand the given URI template with a map of URI variables.

Parameters:
  `uriTemplate` - the URI template
  `uriVariables` - variable values
Returns:
  the created URI instance

### expand

URI expand(String uriTemplate, Object... uriVariables)
Expand the given URI template with an array of URI variables.

Parameters:
  `uriTemplate` - the URI template
  `uriVariables` - variable values
Returns:
  the created URI instance